Subject: guile-snarf now fails when passed arguments contains whitespace

From: [email-masked] (Ludovic Courtès)
Date: Fri, 21 Apr 2017 17:00:54 +0200

Hello,

Commit f775ab3654357fcaad294b95efb0b1c16de1eda8 (“guile-snarf: skip -g*
arguments to avoid build failure”) broke guile-snarf when passed
arguments with whitespace, as in:

  guile-snarf -o auth.x auth.c -DPACKAGE_STRING=\"Guile-SSH\ 0.10.2\" …

The breakage comes from the fact that arguments are accumulated in a
string, in the ‘cpp_args’ variable, so the shell loses information about
word separation.

Besides, filtering out ‘-g’ arguments seems dubious.

WDYT?

Ludo’.